Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jul 2025 19:13:28 +0300

> Date: Wed, 23 Jul 2025 14:09:05 +0200
> From: Samuel Thibault <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> Eli Zaretskii, le mer. 23 juil. 2025 15:01:44 +0300, a ecrit:
> > Thanks, but I asked only about terminals, because only those are
> > relevant to this discussion.  (Actually, we are only interested in
> > terminals on which users could run "emacs -nw".)  Can you name only
> > those?
> 
> Determining the list is useless: there is no way for emacs to determine
> what terminal it is in.

Emacs looks at the value of TERM in the environment to determine that.

> > > echo 'a\ta'
> > 
> > I think I already answered that.
> 
> No.
> 
> As I have repeated myself several times, I still haven't seen an actual
> document that describes *exactly* what this is supposed to do.

I gave you my answer.  I cannot provide any documents, especially
since they don't exist.

> > > And yes, a lot of terminals just announce themselves as xterm in TERM,
> > > that's how it is nowadays. Fighting it is a lost cause nowadays.
> > 
> > We have lisp/term/xterm.el where we can set the new variable to
> > whatever value we decide.
> 
> What new variable and what value?

The variable that will condition the change in cm.c.

> I cannot make any sense from this sentence.

How about now?